## org.hibernate.ejb.criteria
Interface CollectionJoinImplementor<Z,X>

All Superinterfaces:
  javax.persistence.criteria.CollectionJoin<Z,X>, javax.persistence.criteria.Expression<X>, ExpressionImplementor<X>, javax.persistence.criteria.Fetch<Z,X>, javax.persistence.criteria.FetchParent<Z,X>, javax.persistence.criteria.From<Z,X>, FromImplementor<Z,X>, javax.persistence.criteria.Join<Z,X>, JoinImplementor<Z,X>, javax.persistence.criteria.Path<X>, PathImplementor<X>, PathSource<X>, javax.persistence.criteria.PluralJoin<Z,Collection<X>,X>, Renderable, javax.persistence.criteria.Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Implementing Classes:
  CollectionAttributeJoin

    public interface CollectionJoinImplementor<Z,X>

extends JoinImplementor<Z,X>, javax.persistence.criteria.CollectionJoin<Z,X>

Specialization of `JoinImplementor` for `Collection` typed attribute joins

Author:
  Steve Ebersole

Method Summary
`CollectionJoinImplementor<Z,X>` `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type

Methods inherited from interface javax.persistence.criteria.Fetch
`getAttribute, getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.PathImplementor
`getAttribute`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.CollectionJoin
`getModel`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### correlateTo

    CollectionJoinImplementor<Z,X> correlateTo(CriteriaSubqueryImpl subquery)

  Refined return type

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<Z,X>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<Z,X>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.